Page MenuHomePhabricator

Reindex wikidata to pick up labels/descriptions mappings
Closed, ResolvedPublic

Description

After https://gerrit.wikimedia.org/r/#/c/334194/ is deployed, we want to reindex Wikidata so that new labels indexes are created.

Event Timeline

Smalyshev created this task.Apr 5 2017, 5:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2017, 5:55 PM
Smalyshev triaged this task as Normal priority.Apr 5 2017, 6:11 PM
daniel added a subscriber: daniel.Jul 12 2017, 10:54 AM

@Smalyshev It seems it would be useful if we could test the cirrus backend for wbsearchentities on the live site, by setting the useCirrus parameter via a Gadget. For that, we'll need the new data in the Elastic index. Are there any remaining blockers for rebuilding the index? Can you give us some idea of when this could happen? Before Wikimania would be nice...

I understand the code hasn't been deployed yet (wikidata deployment schedule is still a mystery to me, I don't think there's a calendar anywhere?). So we're waiting for the code being deployed. As soon as everything is there, I'll do the reindexing.

Turns out this reindex needs full (not in-place) reindex, because we need to load descriptions into the index. So it will probably take more time. Reopening for now.

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 24 2017, 9:12 PM

OK, now this is done and descriptions look ok.

Smalyshev closed this task as Resolved.Jul 25 2017, 5:11 PM